Skip to main content
GET
List branches

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

cursor
string

Cursor for pagination from previous response nextCursor.

Example:

"eyJpZCI6IjEyMzQ1In0"

pageSize
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
Example:

20

sortField
enum<string>
default:updatedAt

Field to sort by.

Available options:
updatedAt,
createdAt,
name
sortDirection
enum<string>

Direction for sorting results:

  • asc - Ascending order (A-Z, 0-9)
  • desc - Descending order (Z-A, 9-0)
Available options:
asc,
desc
userId
string<uuid>

Organization API key required. The membership ID of the user to act as.

Response

One page of the branches the caller may see, most recently updated first by default.

pageInfo
object
required

Pagination information for paginated responses.

records
object[]
required